// 投票結果の管理
let votes = { A: 0, B: 0 };
let hasVoted = false; // 投票済みかどうかを判別するフラグ

function vote(choice) {
    // すでに投票している場合は何もしない
    if (hasVoted) {
        document.getElementById("result").innerText = "すでに投票済みです！";
        return;
    }

    // 投票済みのフラグを立てる hasVoted = true; ←フラグ無効化！
    

    // 投票後のエフェクトを追加
    document.getElementById("result").innerText = `${choice === "A" ? "がんばれ" : "くたばれ"}に投票しました！`;

    // 投票結果の更新とゲージの表示
    updateBar(choice);
}

function updateBar(choice) {
    // 選択肢に応じてゲージの長さを設定
    const barLeft = document.getElementById("bar-a");
    const barRight = document.getElementById("bar-b");

    // 投票結果を更新
    if (choice === "A") {
        votes.A++;
    } else {
        votes.B++;
    }

    // ゲージの幅を設定
    const totalVotes = votes.A + votes.B;
    const percentageA = (votes.A / totalVotes) * 100;
    const percentageB = (votes.B / totalVotes) * 100;

    barLeft.style.width = percentageA + "%";
    barRight.style.width = percentageB + "%";

    // バチバチするエフェクトを追加
    barLeft.classList.add("active");
    barRight.classList.add("active");

    // 3秒後にエフェクトを止める
    setTimeout(() => {
        barLeft.classList.remove("active");
        barRight.classList.remove("active");
    }, 3000);
}
